Package fr.gouv.vitam.worker.core.plugin.evidence.report

# Class EvidenceAuditReportObject

java.lang.Object
fr.gouv.vitam.worker.core.plugin.evidence.report.EvidenceAuditReportObject

public class EvidenceAuditReportObject extends Object
EvidenceAuditReportObject class

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EvidenceAuditReportObject(String id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EvidenceStatus`
  `getEvidenceStatus()`
  getter for evidenceStatus
  `String`
  `getIdentifier()`
  getter for identifier
  `String`
  `getMessage()`
  getter for message
  `String`
  `getObjectType()`
  getter for objectType
  `Map<String,String>`
  `getOffersHashes()`
  getter for offersHashes
  `String`
  `getSecuredHash()`
  getter for securedHash
  `String`
  `getStrategyId()`
  getter for strategyId
  `void`
  `setEvidenceStatus(EvidenceStatus evidenceStatus)`
  setter for evidenceStatus
  `void`
  `setIdentifier(String identifier)`
  setter for identifier
  `void`
  `setMessage(String message)`
  setter for message
  `void`
  `setObjectType(String objectType)`
  setter for objectType
  `void`
  `setOffersHashes(Map<String,String> offersHashes)`
  setter for offersHashes
  `void`
  `setSecuredHash(String securedHash)`
  setter for securedHash
  `void`
  `setStrategyId(String strategyId)`
  setter for strategyId

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EvidenceAuditReportObject

    public EvidenceAuditReportObject(String id)

- ## Method Details

  - ### getIdentifier

    public String getIdentifier()
    getter for identifier

  - ### setIdentifier

    public void setIdentifier(String identifier)
    setter for identifier

  - ### getEvidenceStatus

    public EvidenceStatus getEvidenceStatus()
    getter for evidenceStatus

  - ### setEvidenceStatus

    public void setEvidenceStatus(EvidenceStatus evidenceStatus)
    setter for evidenceStatus

  - ### getMessage

    public String getMessage()
    getter for message

  - ### setMessage

    public void setMessage(String message)
    setter for message

  - ### getObjectType

    public String getObjectType()
    getter for objectType

  - ### setObjectType

    public void setObjectType(String objectType)
    setter for objectType

  - ### getSecuredHash

    public String getSecuredHash()
    getter for securedHash

  - ### setSecuredHash

    public void setSecuredHash(String securedHash)
    setter for securedHash

  - ### getOffersHashes

    public Map<String,String> getOffersHashes()
    getter for offersHashes

  - ### setOffersHashes

    public void setOffersHashes(Map<String,String> offersHashes)
    setter for offersHashes

  - ### getStrategyId

    public String getStrategyId()
    getter for strategyId

  - ### setStrategyId

    public void setStrategyId(String strategyId)
    setter for strategyId